libzypp: zypp::target::rpm::RpmInstallReport Struct Reference

libzypp 17.38.11

zypp::target::rpm::RpmInstallReport Struct Reference

`#include <zypp/target/rpm/RpmCallbacks.h>`

Inheritance diagram for zypp::target::rpm::RpmInstallReport:

## Public Types
enum | Action { ABORT , RETRY , IGNORE }
Public Types inherited from zypp::callback::ReportBase
typedef callback::UserData | UserData
typedef UserData::ContentType | ContentType

## Public Member Functions
virtual void | start (const Pathname &name)
| Start the operation.
virtual bool | progress (unsigned percent)
| Inform about progress Return false on abort.
virtual void | finishInfo (const std::string &info_r)
| Additional rpm output to be reported in finish in case of success.
virtual void | finish ()
| Finish operation in case of success.
virtual Action | problem (Exception &excpt_r)
virtual void | finish (Exception &excpt_r)
| Finish operation in case of fail, report fail exception.
Public Member Functions inherited from zypp::callback::ReportBase
virtual void | report (const UserData &userData_r=UserData())
| The most generic way of sending/receiving data.
virtual | ~ReportBase ()

## Detailed Description

Definition at line 70 of file RpmCallbacks.h.

## Member Enumeration Documentation

## ◆ Action

enum zypp::target::rpm::RpmInstallReport::Action

Enumerator
ABORT |
RETRY |
IGNORE |

Definition at line 73 of file RpmCallbacks.h.

## Member Function Documentation

## ◆ start()

virtual void zypp::target::rpm::RpmInstallReport::start | ( | const Pathname & | name | ) |
| inlinevirtual

Start the operation.

Definition at line 80 of file RpmCallbacks.h.

## ◆ progress()

virtual bool zypp::target::rpm::RpmInstallReport::progress | ( | unsigned | percent | ) |
| inlinevirtual

Inform about progress Return false on abort.

Definition at line 86 of file RpmCallbacks.h.

## ◆ finishInfo()

virtual void zypp::target::rpm::RpmInstallReport::finishInfo | ( | const std::string & | info_r | ) |
| inlinevirtual

Additional rpm output to be reported in finish in case of success.

Definition at line 90 of file RpmCallbacks.h.

## ◆ finish() [1/2]

virtual void zypp::target::rpm::RpmInstallReport::finish | ( |  | ) |
| inlinevirtual

Finish operation in case of success.

Definition at line 94 of file RpmCallbacks.h.

## ◆ problem()

virtual Action zypp::target::rpm::RpmInstallReport::problem | ( | Exception & | excpt_r | ) |
| inlinevirtual

Definition at line 97 of file RpmCallbacks.h.

## ◆ finish() [2/2]

virtual void zypp::target::rpm::RpmInstallReport::finish | ( | Exception & | excpt_r | ) |
| inlinevirtual

Finish operation in case of fail, report fail exception.

Definition at line 101 of file RpmCallbacks.h.

The documentation for this struct was generated from the following file:

- zypp/target/rpm/RpmCallbacks.h